#pragma once
#include "color_debug.hpp"
#include <PSX/jabyengine.hpp>

namespace JabyEngine {
    namespace boot {
        namespace CD {
            void setup();
        }

        namespace GPU {
            void display_logo();
            void setup();
        }

        namespace SPU {
            void stop_voices();
            void setup();
        }

        namespace Timer {
            void setup();
        }
    }

     void __no_return run();
}